Get all orders using cursor mark

Retrieves the details of all the orders for specified search criteria. The same API can be used to search a single order based on purchaseOrderId/ customerOrderId With this API you can get all orders in response, it returns nextCursorMark for the next 100 orders so on and so forth upto the last order

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
Defaults to NOW-180DAYS

Start Date for querying all purchase orders after this date. Either both the createdStartDate, createdEndDate must be present in the query params or none present. If passed must be in the format - 'yyyy-MM-dd'T'HH:mm:ss.SSSXXX' (Ex. 2022-01-29T10:53:12.355-09:30 ). Use URI encoded time format.

string
Defaults to NOW

End Date for querying all purchase orders after this date. Either both the createdStartDate, createdEndDate must be present in the query params or none present. If passed must be in the format - 'yyyy-MM-dd'T'HH:mm:ss.SSSXXX' (Ex. 2022-03-29T16:43:12.355+05:30 ). Use URI encoded time format.

string
Defaults to 10

The number of orders to be returned. Cannot be larger than 100.

string
Defaults to *

The cursor from which next set of records to be retrieved.

string

The customer order ID.

string

The purchase order ID.

string
required

The status code filter to apply. Valid values will be Created, Acknowledged, Shipped, Cancelled, OnHold, Delivered.

Headers
string
enum
Allowed:
string
required

The access token retrieved in the Token API call

string

A unique ID to track the consumer request by channel. Use the Consumer Channel Type received during onboarding

string
required

A unique ID which identifies each API call and used to track and debug issues; use a random generated GUID for this ID

string
required

Walmart Service Name

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json